Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum QAbstractFileEngine.FileTime

    java.lang.Object
      java.lang.Enum<QAbstractFileEngine.FileTime>
          com.trolltech.qt.core.QAbstractFileEngine.FileTime

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QAbstractFileEngine.FileTime>

Enclosing class:
  QAbstractFileEngine

    public static enum QAbstractFileEngine.FileTime

extends java.lang.Enum<QAbstractFileEngine.FileTime>
implements QtEnumerator

These are used by the `fileTime` function.

See Also:
  `setFileName`

Enum Constant Summary
`AccessTime` When the file was most recently accessed (e.g. read or written to).
`CreationTime` When the file was created.
`ModificationTime` When the file was most recently modified.

Method Summary
`static QAbstractFileEngine.FileTime` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAbstractFileEngine.FileTime` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QAbstractFileEngine.FileTime[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CreationTime

    public static final QAbstractFileEngine.FileTime CreationTime

  When the file was created.

### ModificationTime

    public static final QAbstractFileEngine.FileTime ModificationTime

  When the file was most recently modified.

### AccessTime

    public static final QAbstractFileEngine.FileTime AccessTime

  When the file was most recently accessed (e.g. read or written to).

Method Detail

### values

    public static final QAbstractFileEngine.FileTime[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QAbstractFileEngine.FileTime c : QAbstractFileEngine.FileTime.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QAbstractFileEngine.FileTime valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAbstractFileEngine.FileTime resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD